LOVE 0.5 Mac [UB] Binary, Needs Testers.

Questions about the LÖVE API, installing LÖVE and other support related questions go here.
Forum rules
Before you make a thread asking for help, read this.
User avatar
appleide
Party member
Posts: 323
Joined: Fri Jun 27, 2008 2:50 pm

LOVE 0.5 Mac [UB] Binary, Needs Testers.

Post by appleide » Thu Oct 30, 2008 10:25 am

Download Link:
http://www.appleide.sitesled.com/love.zip

requires Mac 10.4+

note: To sum it up... There is still problems with love on mac opening zip archives. They must be unzipped first, for now. (Then enter "open -a love path_to_directory" on terminal, or rename folder with extension .love and double click.)

[--Outdated first post--]
I have compiled a love 0.5 mac os x binary. Intel processor, Mac OS X 10.4 required. Can anyone test it and see if they can run it on their computer? A window showing the LOVE title screen means it is successful. No need to test specific features using lua, for now. :)

http://www.appleide.sitesled.com/love.zip 3.2mb

I also have the XCode project. I'll release it when I have made sure it makes correct binaries first. It fits in a macosx folder inside the platform folder inside the love folder downloaded from the download page of the love2d.org website quite nicely.... even if the sentence is a bit long. :D

Thanks ! ^^

If anyone uses ppc, post here. I'll try to make universal binary after the intel one works properly. (Sorry guys, I use intel.)
Last edited by appleide on Fri Nov 14, 2008 5:39 am, edited 7 times in total.

User avatar
rude
Administrator
Posts: 1051
Joined: Mon Feb 04, 2008 3:58 pm
Location: Oslo, Norway

Re: LOVE 0.5 Mac Binary, Needs Testers. [Intel only]

Post by rude » Thu Oct 30, 2008 12:55 pm

It didn't work on MacOSX 10.5.5 Intel ... I get "The application love quit unexpectedly" when I try to launch it.

User avatar
Kaze
Party member
Posts: 189
Joined: Sat Jul 19, 2008 4:39 pm
Location: Dublin, Ireland

Re: LOVE 0.5 Mac Binary, Needs Testers. [Intel only]

Post by Kaze » Thu Oct 30, 2008 7:48 pm

Mac OS X 10.5.4

Code: Select all

Dyld Error Message:
  Library not loaded: @executable_path/../Frameworks/libILU.1.dylib
  Referenced from: /Users/z/Desktop/love.app/Contents/MacOS/../Resources/liblove_opengl.dylib
  Reason: image not found

User avatar
appleide
Party member
Posts: 323
Joined: Fri Jun 27, 2008 2:50 pm

Re: LOVE 0.5 Mac Binary, Needs Testers. [Intel only]

Post by appleide » Thu Oct 30, 2008 9:01 pm

Okay thank you!
[As a side note, if you right click the app and show package contents, then copy the .dylibs inside frameworks and resources to /usr/local/lib and then copy the .frameworks to /LIbrary/Frameworks, it should work. I am trying to work out a way where I can fit everything inside the app, so no need for Installer. You'd have to undo this when you want to see if computers can run it without copying these files.]
Last edited by appleide on Thu Oct 30, 2008 9:19 pm, edited 1 time in total.

User avatar
rude
Administrator
Posts: 1051
Joined: Mon Feb 04, 2008 3:58 pm
Location: Oslo, Norway

Re: LOVE 0.5 Mac Binary, Needs Testers. [Intel only]

Post by rude » Thu Oct 30, 2008 9:18 pm

Hmm, there should be no such thing as "liblove_opengl.dylib" ...

Yes, I like to change things around. :D

User avatar
appleide
Party member
Posts: 323
Joined: Fri Jun 27, 2008 2:50 pm

Re: LOVE 0.5 Mac Binary, Needs Testers. [Intel only]

Post by appleide » Thu Oct 30, 2008 10:08 pm

Well, there is now! Sorry I like to do my own thing. :D (Okay okay I'll fix it later.)
Download it from the same link. http://appleide.sitesled.com/love.zip I think I fixed it up. Not too sure thats why I'm posting in this thread. !
I think if you rename folders with a .love extension it'll now appear as a .love project file.

EDIT: Okay I have compiled a version with no dylibs. Get it at http://appleide.sitesled.com/love_nd.zip

Universal Binary will take a while. I need to make UB versions of devIL and all its dependencies first. I don't have a ppc machine so I'll need to create XCode projects for each. Or I could ask around for someone to get me a IL.framework UB... Lipoing old ppc binaries and new intel ones isn't working for me.

User avatar
farvardin
Party member
Posts: 161
Joined: Sat Jun 28, 2008 6:46 pm

Re: LOVE 0.5 Mac Binary, Needs Testers. [Intel only] [2nd try]

Post by farvardin » Fri Oct 31, 2008 6:22 am

I have a ibook PPC with tiger, so I can try to build Löve if you tell me what to do.

User avatar
appleide
Party member
Posts: 323
Joined: Fri Jun 27, 2008 2:50 pm

Re: LOVE 0.5 Mac Binary, Needs Testers. [Intel only] [2nd try]

Post by appleide » Fri Oct 31, 2008 8:51 pm

I'm only one piece of the puzzle away from creating UB builds of love. I need a UB version of devIL. its called IL.framework. If I can't get it in framework form then love would need _everyone_ to download devIL and compile and install it themselves (which puts a bunch of files in /usr/..), which is unacceptable because it requires everyone to install XCode developer tools which is a 1gb download. I could try copying the libIL.dylibs into love itself but I would need each of libIL's dependencies too. So I'd effectively need UB versions of each of those dependencies, which I have tried to create myself using unix compile methods and the lipo. It's not working so far. I have just broken all my libs trying to do it; I was sticking old ppc and new intel versions (e.g 1.0 vs 1.1) together.

If you could get devIL to a UB framework then let me know. But if you go over to http://openil.sourceforge.net/ 's forums, even linux maintainers have trouble compile it ; it uses shell scripts to generate part of its header files and those scripts' line terminators are broken. Unless you got a windows machine... you wont be able to run those scripts, and even if you do it'd be useless because you need a Mac OS X version of those scripts. I'm also not sure if intel and ppc uses the same generated headers or they are generated differently.

I am using old versions of devIL atm.

But the fact that I do have a ppc IL.framework just made me wonder maybe I'd just make ppc versions of love for now, and make UB later. That's a thought. If I do it'll have to be tonight; I'm busy the rest of the day. (sydney time.)

User avatar
appleide
Party member
Posts: 323
Joined: Fri Jun 27, 2008 2:50 pm

Re: LOVE 0.5 Mac [UB] Binary, Needs Testers.

Post by appleide » Sat Nov 01, 2008 3:04 pm

Okay. I did it.

Universal Binary:
http://www.appleide.sitesled.com/love.zip


Looking back I don't think love_nd.zip would not have worked on your computers because the libIL.dylib needs libtiff.3.dylib, which I didn't embed.
I compiled a UB devIL 1.6.7 framework. It is not newest, not second newest version either. There were also 50+ warnings about signedness of pointers. I'm hoping this works despite these potential complications.

User avatar
rude
Administrator
Posts: 1051
Joined: Mon Feb 04, 2008 3:58 pm
Location: Oslo, Norway

Re: LOVE 0.5 Mac [UB] Binary, Needs Testers.

Post by rude » Sat Nov 01, 2008 3:13 pm

I still get the same error ... do I need something else installed?

Post Reply

Who is online

Users browsing this forum: master both, Nelvin and 6 guests